Subject: Re[2]: Cygwin 1.3.10 Setup.exe 2.194.2.22 Install Problems With MSVCRT.DLL and source code on Win98
From: Pavel Tsekov <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Wed, 10 Apr 2002 12:06:13 +0200

Hello, there! :)

Wednesday, April 10, 2002, 10:11:46 AM, you wrote:

Ok, found it - its canonicalize_version() in version.cc. There is
a pointer 'v' which is modified and then delete[]'d.

A trivial patch is attached :)

2002-04-10  Pavel Tsekov  <[email-masked]>

            * version.cc (canonicalize_version): Fix a call delete[]
            to delete.

PT> Wednesday, April 10, 2002, 4:03:24 AM, you wrote:

rkrc>> Two major problems (summary):

rkrc>> 1. Setup.exe (2.194.2.22) ends with a invalid page fault against MSVCRT.DLL
rkrc>> (details below) on my Windows 98 machine, before complely fininshing the
rkrc>> install.

PT> I have not investigated this yet - but from what I see the crash is
PT> similiar to one reported earlier to the ml. The address at which the
PT> crash occurs is inside the code of a helper function for
PT> free() and realloc().

PT> I'll look into this maybe this night.

PT> P.S. Thanks for the very good description of your problem :)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/